### Method

# AppStream Component get_replaces

#### Declaration [src]

    GPtrArray*
    as_component_get_replaces (
      AsComponent* cpt
    )

#### Description [src]

Get a list of component IDs of components that this software replaces entirely.

#### Return value

Type: An array of `utf8`

An array of component-IDs.

The data is owned by the instance.
Each element is a NUL terminated UTF-8 string.